/**
 * JOnAS: Java(TM) Open Application Server
 * Copyright (C) 2005 Bull S.A.
 * Contact: jonas-team@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: DirFilter.java 15428 2008-10-07 11:20:29Z sauthieg $
 * --------------------------------------------------------------------------
 */
package org.ow2.jonas.lib.util;

import java.io.File;
import java.io.FilenameFilter;

/**
 * Filter used to seek directories
 * @author durieuxp
 */
public class DirFilter implements FilenameFilter {

    String prefix = null;
    String suffix = null;

    public DirFilter(String p1, String s1) {
        prefix = p1;
        suffix = s1;
    }

    public boolean accept(File dir, String name) {
        if (name.endsWith("~")) {
            return false;
        }
        if (suffix != null && ! name.endsWith(suffix)) {
            return false;
        }
        if (prefix != null && ! name.startsWith(prefix)) {
            return false;
        }
        return true;
    }
    
}